extends Node2D

const LIMIT_LEFT = 0
const LIMIT_TOP = -96
const LIMIT_RIGHT = 3328
const LIMIT_BOTTOM = 1984
const SECRETS = 12

func _ready():
	global.hud.run_clock()
	$Music.play()
	global.show_message("Find the key to exit the level...")
	for child in get_children():
		if child is Player:
			var camera = child.get_node("Camera")
			camera.limit_left = LIMIT_LEFT
			camera.limit_top = LIMIT_TOP
			camera.limit_right = LIMIT_RIGHT
			camera.limit_bottom = LIMIT_BOTTOM
